=== debian/changelog ===
thunderbolt-tools (0.9.1-1) unstable; urgency=medium

  * Update to upstream version 0.9.1

 -- Colin King <colin.king@canonical.com>  Wed, 6 Sep 2017 11:16:00 +0100

thunderbolt-tools (0.9-1) unstable; urgency=medium

  * Initial release (Closes: #855065)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 13 Feb 2017 14:04:07 -0600
