=== debian/control ===
Source: thunderbolt-tools
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 4.0.0
Build-Depends: debhelper (>=9),
	       libboost-dev,
	       libboost-filesystem-dev,
	       libboost-program-options-dev,
	       cmake,
	       txt2tags
Homepage: https://github.com/01org/thunderbolt-software-user-space
Vcs-Git: https://github.com/01org/thunderbolt-software-user-space.git
Vcs-Browser: https://github.com/01org/thunderbolt-software-user-space

Package: thunderbolt-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel Thunderbolt userspace components
 Provides components for using Intel Thunderbolt controllers with
 security level features
