=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -pthunderbolt-tools -Bbuild_userspace -Scmake -D. --

override_dh_auto_build:
	dh_auto_build -pthunderbolt-tools -Bbuild_userspace

override_dh_auto_install:
	cp tbtacl/tbtacl.rules.in tbtacl/tbtacl.rules
	dh_auto_install --destdir debian/thunderbolt-tools -Bbuild_userspace

override_dh_auto_clean:
	rm -rf build*
