=== tbtadm/CMakeLists.txt ===
--- 
+++ 
@@ -10,4 +10,8 @@
 	$<$<COMPILE_LANGUAGE:CXX>:${TBT_CXXFLAGS}>)
 set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
 
-install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(TARGETS            ${PROJECT_NAME}
+        DESTINATION        ${CMAKE_INSTALL_BINDIR})
+install(FILES              ${PROJECT_NAME}.bash_completion
+        DESTINATION        ${CMAKE_INSTALL_DATAROOTDIR}/bash-completion/completions
+        RENAME             ${PROJECT_NAME})
