=== debian/changelog ===
thunderbolt-tools (0.9.2-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.2
  * debian/control Remove erroneous Vcs-Git and Vcs-Browser (Closes: #883859)
    - there are no upstream repos for the packaging at present, so
      remove these

 -- Colin King <colin.king@canonical.com>  Fri, 8 Dec 2017 14:17:44 +0000

thunderbolt-tools (0.9.2-1) unstable; urgency=medium

  * Update to upstream version 0.9.2
  * Set architecture to just linux-any as these tools are not applicable
    for kfreebsd-amd64, kfreebsd-i386
  * Update Standards-Version to 4.1.1
  * Add udev and pkg-config to Build-Depends as cmake now does smarter
    build-time configuration

 -- Colin King <colin.king@canonical.com>  Thu, 23 Nov 2017 15:01:11 +0000
