=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -pthunderbolt-tools -Bbuild_userspace -Scmake -D. --
+	dh_auto_configure -pthunderbolt-tools -Bbuild_userspace -Scmake -D. -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
 
 override_dh_auto_build:
 	dh_auto_build -pthunderbolt-tools -Bbuild_userspace
