## thunderbolt-tools 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(thunderbolt-user-space)
 
-set(VERSION "0.9.2")
+set(VERSION "0.9.3")
 
 include(GNUInstallDirs)
 
@@ -17,8 +17,43 @@
 
 add_subdirectory(common)
 add_subdirectory(tbtacl)
+add_subdirectory(tbtxdomain)
 add_subdirectory(tbtadm)
 add_subdirectory(docs)
+
+configure_file(tests/test-integration-mock.py tests/test-integration-mock.py COPYONLY)
+configure_file(tests/Dockerfile tests/Dockerfile COPYONLY)
+
+add_custom_target(check
+	COMMAND umockdev-wrapper python3 tests/test-integration-mock.py
+	DEPENDS tests/test-integration-mock.py tbtadm
+)
+
+set(DOCKER_IMAGE "thunderbolt-tools")
+
+set(DOCKER_BUILD_CMD
+	docker build
+	--tag ${DOCKER_IMAGE}
+	--file tests/Dockerfile
+	.
+)
+add_custom_target(docker-build
+	COMMAND ${DOCKER_BUILD_CMD}
+	DEPENDS tests/Dockerfile
+)
+
+set(DOCKER_RUN_CMD
+	docker run
+	--env
+	--tty
+	--volume ${CMAKE_CURRENT_LIST_DIR}:/usr/local/src/thunderbolt-tools
+	${DOCKER_IMAGE}
+	/bin/bash tests/docker-build.sh
+)
+add_custom_target(docker-run
+	COMMAND ${DOCKER_RUN_CMD}
+	DEPENDS tests tbtadm
+)
 
 set(PACKAGE_SUMMARY "User-space components for handling Thunderbolt controller and devices")
 
@@ -37,7 +72,7 @@
 
 # RPM specific
 set(CPACK_PACKAGE_RELOCATABLE OFF)
-set(CPACK_RPM_PACKAGE_REQUIRES "boost-program-options, boost-filesystem")
+set(CPACK_RPM_PACKAGE_REQUIRES "boost-filesystem")
 
 function(ALL_ANCESTOR_DIRS result dir)
     while(NOT dir STREQUAL "/")
