=== tbtadm/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 add_executable(${PROJECT_NAME} "main.cpp" "controller.cpp")
 target_link_libraries(${PROJECT_NAME} PRIVATE common)
-
-find_package(Boost REQUIRED COMPONENTS program_options)
-target_link_libraries(${PROJECT_NAME} PRIVATE ${Boost_LIBRARIES})
 
 target_compile_options(${PROJECT_NAME} PRIVATE
 	$<$<COMPILE_LANGUAGE:CXX>:${TBT_CXXFLAGS}>)
