=== debian/changelog ===
thunderbolt-tools (0.9.3-8) unstable; urgency=medium

  * Orphan upload
  * Update Maintainer field to Debian QA Group <packages@qa.debian.org>
    so package can be orphaned
  * Update Standards-Version to 4.7.2
  * Update build-depdends, use pkgconf
  * Update debian packaging copyright to 2025

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Sep 2025 13:23:13 +0100

thunderbolt-tools (0.9.3-7) unstable; urgency=medium

  * Replace dependency on udev with systemd-dev (Closes: #1060547)
  * debian/control: update standards version to 4.6.2
  * debian/changelog: update copyright year
  * debian/rules: add missing hardening flags

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 14:47:48 +0000

thunderbolt-tools (0.9.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip duplicate installation of tbtacl-write. (Closes: #1058828)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 24 Dec 2023 14:13:22 +0100

thunderbolt-tools (0.9.3-6) unstable; urgency=medium

  * Roll in all fixes since 0.9.3, project is now in maintainence
    mode, so pull in all fixes as we don't expect another tagged
    release from Intel.
  * debian/control: Update maintainer email address
  * debian/control: Update standards version to 4.6.1
  * debian/copyright: Update email addresses

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 14 Dec 2022 12:42:55 +0000

thunderbolt-tools (0.9.3-5) unstable; urgency=medium

  * Debian/control: remove compat file, add Rules-Requires-Root rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 20:55:11 +0100

thunderbolt-tools (0.9.3-4build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:47:37 +0000

thunderbolt-tools (0.9.3-4) unstable; urgency=medium

  * Pull in a couple of upstream fixes:
    - 88a971ad290d tbtadm: check sysfs device file for thunderbolt
                   device first.
    - cdd7215accc4 Make tbtacl safer to use with untrusted input

 -- Colin King <colin.king@canonical.com>  Fri, 19 Oct 2018 16:50:53 +0100

thunderbolt-tools (0.9.3-3) unstable; urgency=medium

  * Remove redundant copy of udev rules (LP: #1762187)

 -- Colin King <colin.king@canonical.com>  Sun, 8 Apr 2018 15:43:12 +0100

thunderbolt-tools (0.9.3-2) unstable; urgency=medium

  * Set UDEV_BIN_DIR to /lib/udev (LP: #1761757)

 -- Colin King <colin.king@canonical.com>  Fri, 6 Apr 2018 14:52:11 +0100

thunderbolt-tools (0.9.3-1) unstable; urgency=medium

  * Update to upstream version 0.9.3
  * debian/compat: update to 11
  * debian/control: update debhelper to >= 11

 -- Colin King <colin.king@canonical.com>  Wed, 14 Feb 2018 10:02:01 +0000
