=== debian/control ===
Source: thunderbolt-tools
Rules-Requires-Root: no
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>=13),
               debhelper-compat (=13),
	       libboost-dev,
	       libboost-filesystem-dev,
	       libboost-program-options-dev,
	       cmake,
               pkgconf,
               systemd-dev,
	       txt2tags
Homepage: https://github.com/01org/thunderbolt-software-user-space

Package: thunderbolt-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel Thunderbolt userspace components
 Provides components for using Intel Thunderbolt controllers with
 security level features
