=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
@@ -10,7 +14,6 @@
 	dh_auto_build -pthunderbolt-tools -Bbuild_userspace
 
 override_dh_auto_install:
-	cp tbtacl/tbtacl.rules.in tbtacl/tbtacl.rules
 	dh_auto_install --destdir debian/thunderbolt-tools -Bbuild_userspace
 
 override_dh_auto_clean:
